Reply
Thread Tools
Posts: 10 | Thanked: 1 time | Joined on Mar 2012
#31
hello i have the same problem did you find a solution ?
 
javispedro's Avatar
Posts: 2,098 | Thanked: 4,039 times | Joined on Jan 2009 @ Barcelona
#32
Originally Posted by awbcmu View Post
The /tmp on the device is too small though for anything of size. The normal way to address this to set the environment variable TMPDIR to point to a larger directory. But this doesn't work. Has anybody else seen this problem?
Have you tried gcc -pipe ?
 
Posts: 10 | Thanked: 1 time | Joined on Mar 2012
#33
i use a slackbuild script with this line

CWD=$(pwd)
TMP=${TMP:-/root/tmp/mypacket}
PKG=$TMP/package-mpd
OUTPUT=${OUTPUT:-/root/tmp}

my problem now is this one

checking for GLIB... configure: error: GLib 2.12 is required
 
ranbaxy's Avatar
Posts: 305 | Thanked: 290 times | Joined on Jul 2012 @ Graveyard
#34
Originally Posted by rcolistete View Post
Now I am not with my N9 to test.

But i think gcc needs the Harmattan-dev Nokia repository, so install :
http://harmattan-dev.nokia.com/pool/harmattan-beta3/free/h/harmattan-repository/harmattan-repository_0.4+0m6_all.deb
to enable this repository (if not enable before).

Then, as root (after 'devel-su' and 'rootme' as password) :
# apt-get update
# apt-get build-essential
Sorry for bumping this old thread
I was trying to run the above commands, couldn't succeed as I am getting the following error for # apt-get update
Code:
# apt-get update
Get: 1 exec:////usr/bin/osa --packages
Err https://downloads.maemo.nokia.com ./ Release.gpg
  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS servers) Err https://downloads.maemo.nokia.com ./ Translation-en_GB
  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS servers) Err https://downloads.maemo.nokia.com ./ Release.gpg
  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS servers) Err https://downloads.maemo.nokia.com ./ Translation-en_GB
  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS servers) Err https://downloads.maemo.nokia.com ./ Release.gpg
  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS servers) Err https://downloads.maemo.nokia.com ./ Translation-en_GB
  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS servers) 0% [1 exec:////usr/bin/osa --packages 0B]QNetworkReplyImpl::_q_startOperation was called morethan once Fetched 104kB in 60s (1,716B/s) Updating desktop entries... Done Reading package lists... Done
W: Failed to fetch
https://downloads.maemo.nokia.com/harmattan/333/./Release.gpg  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS
servers)

W: Failed to fetch
https://downloads.maemo.nokia.com/harmattan/333/./en_GB.gz  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS
servers)

W: Failed to fetch
https://downloads.maemo.nokia.com/harmattan/apps/./Release.gpg  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS
servers)

W: Failed to fetch
https://downloads.maemo.nokia.com/harmattan/apps/./en_GB.gz  Could not resolve host: downloads.maemo.nokia.com (Could notcontact DNS servers)

W: Failed to fetch
https://downloads.maemo.nokia.com/harmattan/tools/./Release.gpg  Could notresolve host: downloads.maemo.nokia.com (Couldnot contact DNS
servers)

W: Failed to fetch
https://downloads.maemo.nokia.com/harmattan/tools/./en_GB.gz  Could not resolve host: downloads.maemo.nokia.com (Could not contact DNS
servers)

W: Some index files failed to download, they have been ignored, or old ones used instead.
~ # apt-get build-essential
E: Invalid operation build-essential
~ #
Is the path https://downloads.maemo.nokia.com/ obsolete? Could someone guide me to get gcc?
__________________
 
Posts: 971 | Thanked: 2,274 times | Joined on May 2011 @ Brazil
#35
Originally Posted by ranbaxy View Post
Sorry for bumping this old thread
I was trying to run the above commands, couldn't succeed as I am getting the following error for # apt-get update
...
Is the path https://downloads.maemo.nokia.com/ obsolete? Could someone guide me to get gcc?
Your "# apt-get update" failed due to some Internet problem. Try it again. Here in my N9 is works ok.

But to get gcc/g++ on (Harmattan) device :
- until PR1.1 (for Nokia N9) trivial, just "# apt-get install build-essential";
- the post #18 doesn't work anymore for PR1.3 ! It was ok for PR1.2;
- now on PR1.3, I've only succeeded by chrooting a Harmattan SDK image... I'll give more details on how-to-do it easily later today.
__________________
Python, C/C++, Qt and CAS developer. For Maemo/MeeGo/Sailfish :
Integral, Derivative, Limit - calculating mathematical integrals, derivatives and limits. SymPy - Computer Algebra System.
MatPlotLib - 2D & 3D plots in Python. IPython - Python interactive shell.
-- My blog about mobile & scientific computing ---
2 Nokia N9 16GB Black @ 1.35 GHz, 1 with Sailfish, Stowaway foldable BT keyboard.
Nexus 4 with Sailfish. Nokia N900 @ 1.1 GHz. N810. Nokia 9500. Psion Revo+.
 

The Following User Says Thank You to rcolistete For This Useful Post:
ranbaxy's Avatar
Posts: 305 | Thanked: 290 times | Joined on Jul 2012 @ Graveyard
#36
Originally Posted by rcolistete View Post
Your "# apt-get update" failed due to some Internet problem. Try it again. Here in my N9 is works ok.

But to get gcc/g++ on (Harmattan) device :
- until PR1.1 (for Nokia N9) trivial, just "# apt-get install build-essential";
- the post #18 doesn't work anymore for PR1.3 ! It was ok for PR1.2;
- now on PR1.3, I've only succeeded by chrooting a Harmattan SDK image...
Thanks. I am on PR 1.2. # apt-get install build-essential doesn't work. Does it mean that I have to download gcc separately and get it installed since I am getting an error which I had posted in my previous post when I try # apt-get update?

Originally Posted by rcolistete View Post
I'll give more details on how-to-do it easily later today.
Waiting
__________________
 
Posts: 971 | Thanked: 2,274 times | Joined on May 2011 @ Brazil
#37
Originally Posted by ranbaxy View Post
Thanks. I am on PR 1.2. # apt-get install build-essential doesn't work. Does it mean that I have to download gcc separately and get it installed since I am getting an error which I had posted in my previous post when I try # apt-get update?
Post #18 worked for PR1.2. It is a boring procedure, I know.

About my comment "I'll give more details on how-to-do it easily later today" :
- I am late because very busy with packaging and documenting Easy Debian Harmattan;
- a simple solution to have gcc/g++ on N9/N950 is chrooting a Maemo or Harmattan SDK image, by using Easy Chroot for Harmattan. I will post a topic about this solution, citing ready-to-use images.
__________________
Python, C/C++, Qt and CAS developer. For Maemo/MeeGo/Sailfish :
Integral, Derivative, Limit - calculating mathematical integrals, derivatives and limits. SymPy - Computer Algebra System.
MatPlotLib - 2D & 3D plots in Python. IPython - Python interactive shell.
-- My blog about mobile & scientific computing ---
2 Nokia N9 16GB Black @ 1.35 GHz, 1 with Sailfish, Stowaway foldable BT keyboard.
Nexus 4 with Sailfish. Nokia N900 @ 1.1 GHz. N810. Nokia 9500. Psion Revo+.
 

The Following User Says Thank You to rcolistete For This Useful Post:
ranbaxy's Avatar
Posts: 305 | Thanked: 290 times | Joined on Jul 2012 @ Graveyard
#38
Originally Posted by rcolistete View Post
Post #18 worked for PR1.2. It is a boring procedure, I know.

About my comment "I'll give more details on how-to-do it easily later today" :
- I am late because very busy with packaging and documenting Easy Debian Harmattan;
- a simple solution to have gcc/g++ on N9/N950 is chrooting a Maemo or Harmattan SDK image, by using Easy Chroot for Harmattan. I will post a topic about this solution, citing ready-to-use images.
You are awesome! Let me check your thread. Thanks brother
__________________
 
Posts: 971 | Thanked: 2,274 times | Joined on May 2011 @ Brazil
#39
As promised, new topic about "Compiling & packaging on MeeGo Harmattan device", listing many ways to compile (with gcc/g++, etc) & package softwares on MeeGo Harmattan devices.
__________________
Python, C/C++, Qt and CAS developer. For Maemo/MeeGo/Sailfish :
Integral, Derivative, Limit - calculating mathematical integrals, derivatives and limits. SymPy - Computer Algebra System.
MatPlotLib - 2D & 3D plots in Python. IPython - Python interactive shell.
-- My blog about mobile & scientific computing ---
2 Nokia N9 16GB Black @ 1.35 GHz, 1 with Sailfish, Stowaway foldable BT keyboard.
Nexus 4 with Sailfish. Nokia N900 @ 1.1 GHz. N810. Nokia 9500. Psion Revo+.
 

The Following User Says Thank You to rcolistete For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 08:25.